require "spec_helper"

describe Micropub::Client do
  let(:body) { {content: "Blah Blah"} }
  let(:client) { Micropub::Client.new("note", token: "1234") }
  before do
    @stub = stub_request(:post, "http://person.com/notes").with(body: body, headers: {"Authorization" => "Bearer 1234"})
  end

  describe "#publisher" do
    it "is pluralized post type" do
      expect(client.publisher).to eq "notes"
    end
  end

  describe ".new" do
    it "sets the post_type" do
      expect(client.post_type).to eq "note"
    end

    it "sets the token" do
      expect(client.token).to eq "1234"
    end
  end

  describe "#post" do
    it "makes a request" do
      client.post(body)
      expect(@stub).to have_been_requested
    end

    it "returns a Micropub::Response" do
      expect(client.post(body)).to be_a Micropub::Response
    end
  end
end
