require 'spec_helper'
require "micropub/response"

describe Micropub::Response do
  let(:http_response) { double("http", status: 201, body: "Blah", headers: {"Location" => "http://example.com/1"}) }
  let(:response) { Micropub::Response.new(http_response) }

  describe ".initialize" do
    it "sets the status" do
      expect(response.status).to eq 201
    end

    it "sets the body" do
      expect(response.body).to eq "Blah"
    end

    it "sets the location" do
      expect(response.location).to eq "http://example.com/1"
    end
  end

  describe "#successful?" do
    context "when in the 200 range" do
      it "is true" do
        expect(response.successful?).to eq true
      end
    end
  end
end
